# Interface MWizardDialog

All Superinterfaces:
  `MApplicationElement, MBindings, MContext, MDialog, MElementContainer<MWindowElement>, MHandlerContainer, MLocalizable, MSnippetContainer, MUIElement, MUILabel, MWindow`

@Deprecated(forRemoval=true, since="2025-12") public interface MWizardDialog extends MDialog
Deprecated, for removal: This API element is subject to removal in a future version.
A representation of the model object 'Wizard Dialog'.

A subclass of Window representing a wizard dialog.

Since:
  1.1
See Also:
  - Bug 531054
Restriction:
  This interface is not intended to be implemented by clients.
Restriction:
  This model element is was provisional and will be removed.

## Method Summary

### Methods inherited from interface MApplicationElement

`getContributorURI, getElementId, getPersistedState, getTags, getTransientData, setContributorURI, setElementId`

### Methods inherited from interface MBindings

`getBindingContexts`

### Methods inherited from interface MContext

`getContext, getProperties, getVariables, setContext`

### Methods inherited from interface MElementContainer

`getChildren, getSelectedElement, setSelectedElement`

### Methods inherited from interface MHandlerContainer

`getHandlers`

### Methods inherited from interface MLocalizable

`updateLocalization`

### Methods inherited from interface MSnippetContainer

`getSnippets`

### Methods inherited from interface MUIElement

`getAccessibilityPhrase, getContainerData, getCurSharedRef, getLocalizedAccessibilityPhrase, getParent, getRenderer, getVisibleWhen, getWidget, isOnTop, isToBeRendered, isVisible, setAccessibilityPhrase, setContainerData, setCurSharedRef, setOnTop, setParent, setRenderer, setToBeRendered, setVisible, setVisibleWhen, setWidget`

### Methods inherited from interface MUILabel

`getIconURI, getLabel, getLocalizedLabel, getLocalizedTooltip, getTooltip, setIconURI, setLabel, setTooltip`

### Methods inherited from interface MWindow

`getHeight, getMainMenu, getSharedElements, getWidth, getWindows, getX, getY, isSetHeight, isSetWidth, isSetX, isSetY, setHeight, setMainMenu, setWidth, setX, setY, unsetHeight, unsetWidth, unsetX, unsetY`